using System;
namespace isplata
{
    class Program
    {
        static int BrojacCifara(long broj)
        {
            int br_cifara = 0;
            while (broj > 0)
            {
                br_cifara++;
                broj = broj / 10;
            }
            return br_cifara;
        }
        static void Main(string[] args)
        {
            long kolicnik;
            long najjacacifra;
            long brojac_novcanica = 0;
            int br_cifara;
            Console.Write("unesite sumu koja treba da bude isplacena:");
            long v = long.Parse(Console.ReadLine());
            long kopija_v = v;
            br_cifara=BrojacCifara(v);
            kopija_v = v;
            while (kopija_v>0)
            {
                najjacacifra = (int)Math.Pow(10, br_cifara - 1);
                kolicnik = kopija_v / najjacacifra;
                if (kolicnik > 5)
                {
                    brojac_novcanica++;
                    if (kolicnik - 5 > 2)
                        brojac_novcanica += 2;
                    else
                        brojac_novcanica++;
                }
                else
                {
                    if (kolicnik == 1 || kolicnik == 2 || kolicnik == 5)
                        brojac_novcanica++;
                    else if (kolicnik == 4 || kolicnik == 3)
                        brojac_novcanica += 2;   
                }
                kopija_v -= najjacacifra * kolicnik;
                br_cifara = BrojacCifara(kopija_v);
            }
            Console.WriteLine("treba {0} novcanica",brojac_novcanica);
            Console.ReadLine();
        }
    }
}